﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Functions</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating Functions</h1>
        <p>You can create one or more functions using the <strong>Functions List</strong> page.</p>
        <p>You can perform the following while creating the function:</p>
        <ul>
            <li>Create a new function or copy the appropriate details from the existing function.</li>
            <li>Select the type and status of the function.</li>
            <li>Associate the function to a ruleset.</li>
            <li>Add a user or user group as the owner of the function.</li>
            <li>Select one or more entitlements and submit for approval to the approver based on the workflow configured in the <strong>Admin &gt; Global Configurations &gt; SoD &gt; Ruleset&#160;</strong>section.</li>
            <li>Manage business process, objects, child authorization, and regex, as applicable.</li>
            <li>Publish the function and associated details.</li>
        </ul>
        <p>The values in the parameters marked with a red asterisk(<span style="color: rgb(255,0,0);">*</span>) are mandatory.</p>
        <p>To create functions, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD &gt; Ruleset &gt; Functions &gt;  &#160;Functions List</strong>.</li>
            <li>Click the <strong>Actions</strong> arrow and select <strong>Create Functions.</strong></li>
            <li>
                <p class="auto-cursor-target">Click <strong>Create New</strong> if you want to create a new function or click <strong>Copy Existing</strong> to copy.&#160;For more information on copying functions, see&#160;<em>Copying Functions</em> section.</p>
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <col class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Function<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify a name for the function.&#160;This is a free-text-entry field. The function name must be unique and the system will not allow you to create multiple functions with the same name.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Description</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify a description for the function.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Ruleset<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the appropriate ruleset.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Status<span style="color: rgb(255,0,0);">*</span></p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the current status of the function.</p>
                                <p class="table-text">The following options are available to select:</p>
                                <ul>
                                    <li style="font-size: 14px;">Active</li>
                                    <li style="font-size: 14px;">Inactive</li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Saviynt Function Type<span class="inline-comment-marker">*</span></p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Select the appropriate Saviynt function type.</p>
                                <p class="table-text">The following options are available to select:</p>
                                <ul>
                                    <li style="font-size: 14px;">Non-SAP</li>
                                    <li style="font-size: 14px;">SAP</li>
                                    <li style="font-size: 14px;">SAPGROUP</li>
                                </ul>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
            <li>Click <strong>Create</strong>. The following tabs appear. You can manage (add or remove or modify) the attributes and parameter values in the appropriate tabs.</li>
        </ol>
        <h3 id="CreatingFunctions-DetailsTab">Details Tab</h3>
        <p>Use this tab to provide the basic function details.</p>
        <div class="table-wrap">
            <p>For field descriptions, see the&#160;Creating Functions section. The following additional fields are shown in the&#160;Details&#160;page.</p>
            <div class="table-wrap">
                <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                    <col style="width: 127.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 520.0px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Custom Property 1-5</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">	Specify the custom property to add to the function. For example, Custom Property 1.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Owner Type</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Select the type of owner to be associated with the function. The following options are available:</p>
                                <ul>
                                    <li style="font-size: 14px;">User</li>
                                    <li style="font-size: 14px;">User Group</li>
                                </ul>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text">Owner</p>
                            </td>
                            <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">Specify the name of the function owner.</p>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text">Exclusion Query</p>
                            </td>
                            <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p colspan="1">Specify the exclusion query.&#160;An exclusion query for a function is executed on the database to return a value that must be excluded from the SOD&#160;evaluation. For example, an ‘entitlement_valuekey’ returned by the exclusion query is not considered for SOD evaluation for a function. For example,&#160;</p>
                                <MadCap:codeSnippet>
                                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                    <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select ENTITLEMENT_VALUEKEY, entitlementtypekey from entitlement_values where ENTITLEMENT_VALUE = 'ACME-Group';  </MadCap:codeSnippetBody>
                                </MadCap:codeSnippet>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <h3>Business Process Tab</h3>
        </div>
        <p>Use this tab to associate the function to one or more business processes. You can add or remove or modify the business process. You can also export the business processes in terms of CSV or excel format.&#160;</p>
        <h4 id="CreatingFunctions-AddingBusinessProcess">Adding Business Process</h4>
        <p>To add business process, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Actions</strong> and select <strong>Add Business Process</strong>. The <strong>Add Business Process List</strong> window appears.</li>
            <li>Select one or more check boxes in-line with the business process name and click <strong>Save</strong>.<br />The one or more business process will be added to the list and the <strong>Business Process(s) Added Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingFunctions-RemovingBusinessProcess">Removing Business Process</h4>
        <p>To remove the business process, perform the following steps:</p>
        <p>Select one or more check boxes in-line with the business process and click <strong>Remove Business Process</strong>.<br />The one or more business process will be removed from the list and the <strong>Business Process(s) Removed Successfully</strong>&#160;pop-up message appears at the upper-right corner.</p>
        <h3 id="CreatingFunctions-ObjectTab">Object Tab</h3>
        <p>This tab appears only if you have selected SAP&#160;in the&#160;Saviynt Function Type drop down of the&#160;Details tab.</p>
        <p>Use this tab to manage objects. You can also export the existing or newly added objects into CSV or Excel formats, as required.</p>
        <h4 id="CreatingFunctions-AddingObjects">Adding Objects</h4>
        <p>To add an object, perform the following step:</p>
        <ol>
            <li>Go to <strong>Actions</strong> and select&#160; +<strong>Add Object.</strong> The <strong>Add Object</strong> window appears.</li>
            <li>
                <p class="auto-cursor-target">Enter or select the authorization parameter details and click <strong>Save</strong>. The values in all the parameter field are mandatory except in <strong>Max Value</strong>.</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 98.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 520.0px;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Endpoint</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate endpoint name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Entitlement</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate tcode name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Auth Object</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate authorization object.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Field</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate field name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Relation</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the appropriate relation type.</p>
                                    <p class="table-text">The following options are available to select:</p>
                                    <ul>
                                        <li style="font-size: 14px;">And</li>
                                        <li style="font-size: 14px;">Or</li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Min Value</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the minimum value in a numerical format.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Max Value</p>
                                </td>
                                <td style="text-align: left;" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">Specify the maximum value in a numerical format.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>If there is any change in the object or if the object is newly added to the list then it must be submitted for approval. Click <strong>Submit for Approval</strong>. For more information on how to approve function requests, see&#160;<MadCap:xref href="Managing-SOD-Ruleset-Requests.htm">SOD Ruleset Requests</MadCap:xref>.<br />The object will be added to the list and the&#160;Object&#160;Added Successfully&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingFunctions-RemovingSelectedObjects">Removing Selected Objects</h4>
        <p>To remove selected objects, perform the following steps:</p>
        <p>Select one or more check boxes in-line with the object and click <strong>Remove Selected Objects</strong>.</p>
        <p>The one or more objects will be removed from the list and the&#160;Object(s)&#160;Removed Successfully&#160;pop-up message appears at the upper-right corner.</p>
        <h3 id="CreatingFunctions-EntitlementsTab">Entitlements Tab&#160;</h3>
        <p>Use this tab to add or remove or modify one or more entitlements and group them together to the function. The function owner can add or remove or modify one or more entitlements for Non-SAP applications.</p>
        <h4 id="CreatingFunctions-AddingEntitlements">Adding Entitlements</h4>
        <p>You can add one or more groups, profiles and so on as entitlements. The logical grouping of entitlements within a function can be done by using conditional operators like (AND, OR, NOT).</p>
        <p>To add entitlements, perform the following steps:</p>
        <ol>
            <li>Enter entval= IT (as you enter IT, a list of entitlement appears with the keyword entered). Select one or more entitlements and click <strong>Save</strong>.&#160;</li>
            <li>The <strong>Modification Details</strong> pop-up window displays the old and new entitlements. Provide your business justification for adding entitlements and click <strong>Yes</strong> to submit for approval. You cannot make any changes if it is in the approval stage. For more information on request approval, see&#160; <MadCap:xref href="Approving-or-Rejecting-Function-Entitlement-Requests.htm">Approving or Rejecting Function Entitlement Requests</MadCap:xref> section.</li>
            <li>Click <strong>View Changes</strong> to view the changes made in the <strong>Entitlements.</strong>The <strong>Request Entitlements for &lt;Function&gt;</strong>&#160;pop-up window appears with the list of old and new conditions.<br />The entitlement tab displays the following details:<br /><ul><li>Entitlement Type</li><li>Endpoint</li><li>Description</li></ul></li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;" MadCap:conditions="Default.v2020X,Default.v2021X">
            <p class="note">You can search entitlements containing two words by specifying the entitlement name using an _ (underscore) instead of the space . For example, to search for ROLE GRANTACCESS entitlement name, you need to specify ROLE_GRANTACCESS in the text box.</p>
        </div>
        <h3 id="CreatingFunctions-ChildAuthorizationTab">Child Authorization Tab&#160;<br /></h3>
        <p>This tab appears only if you have selected <strong>SAP&#160;</strong>in the&#160;<strong>Saviynt Function Type </strong>drop down of the&#160;Details tab.</p>
        <p>Use this tab to manage child authorization. You can add or remove the child authorizations.</p>
        <h4 id="CreatingFunctions-AddingAuthorizations">Adding&#160;Authorizations</h4>
        <p>To add an authorization, perform the following step:</p>
        <ol>
            <li>Go to <strong>Actions</strong>and select <strong>Add Authorization</strong>The <strong>Add Object</strong>window appears.</li>
            <li>Enter or select the authorization parameter details and click<strong>Save</strong>.<br />The one or more authorizations will be added to the list and the <strong>Authorization(s) Added Successfully</strong>&#160;pop-up message appears at the upper-right corner.</li>
        </ol>
        <h4 id="CreatingFunctions-RemovingAuthorizations">Removing Authorizations</h4>
        <p>To remove authorizations, perform the following steps:</p>
        <p>Select one or more check boxes in-line with the authorization and click <strong>Remove Business Process</strong>.</p>
        <p>The one or more authorizations will be removed from the list and the <strong>Authorization(s) Removed Successfully</strong>&#160;pop-up message appears at the upper-right corner.</p>
        <h3 id="CreatingFunctions-HistoryTab">History Tab</h3>
        <p>Use this tab to view the history of changes made to a function. You can also export the history details in the Microsoft Excel format.</p>
        <p class="auto-cursor-target">You can view the following details.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameters</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Changed By</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the date when the function has been changed.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Changed On</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the name of the user who made the change to the function.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Field</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the attribute name.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Operation</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the activity type (Added or Removed)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Business Justification</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the business justification provided by the previous user of the function.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Approved By</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the name of the approver who approved the addition or removal of entitlements.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Status</p>
                        </td>
                        <td style="text-align: left;" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the current status of the function.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Old Value</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Displays the existing attribute values.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">New Value</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Displays the new attribute values.&#160;If the function is updated as a part of ruleset upload, the path of upload file is displayed.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3 id="CreatingFunctions-RegexTab">Regex Tab</h3>
        <p>Use this tab to manage regex expression for the function.</p>
        <h4 id="CreatingFunctions-AddingRegex">Adding Regex</h4>
        <p>To add a new regex, perform the following steps:</p>
        <ol>
            <li>Go to Actions and select <strong>Add New Regex</strong>.The <strong>Add New Expression</strong>window appears.</li>
            <li>Select or enter the new expression condition details and click <strong>Submit</strong>.</li>
        </ol>
        <h2 id="CreatingFunctions-CopyingFunctions">Copying Functions</h2>
        <p>To reuse a function, you can copy an existing function from the Create Function window, and can use as required.</p>
        <p>To copy function, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD &gt; Ruleset &gt;&#160;Functions &gt; Functions List.</strong></li>
            <li>Click the <strong>Actions</strong> arrow and select <strong>Create Functions</strong>.<br /></li>
            <li>Click <strong>Copy Existing</strong> to copy a function. The <strong>Copy Function</strong> page appears.</li>
            <li>Select the name of the function in the <strong>Copy Function From</strong> parameter and click <strong>Create</strong>.</li>
            <li>Modify the required details in the Functions page and click <strong>Update</strong>.</li>
        </ol>
    </body>
</html>